com.holonplatform.vaadin.flow.components.builders

## Interface BaseDateInputBuilder<D,B extends BaseDateInputBuilder<D,B>>

- Type Parameters:
    `D` - Actual date value type
    `B` - Concrete builder type
  All Superinterfaces:
    ComponentConfigurator<B>, DeferrableLocalizationConfigurator<B>, FocusableConfigurator<com.vaadin.flow.component.Component,B>, HasDeferrableLocalization, HasElementConfigurator<B>, HasEnabledConfigurator<B>, HasLabelConfigurator<B>, HasPlaceholderConfigurator<B>, HasSizeConfigurator<B>, HasStyleConfigurator<B>, InputBuilder<D,ValueHolder.ValueChangeEvent<D>,Input<D>,B>, InputConfigurator<D,ValueHolder.ValueChangeEvent<D>,B>, InputValueConfigurator<D,ValueHolder.ValueChangeEvent<D>,B>
  All Known Subinterfaces:
    DateInputBuilder, DateTimeInputBuilder, LocalDateInputBuilder, LocalDateTimeInputBuilder

      public interface BaseDateInputBuilder<D,B extends BaseDateInputBuilder<D,B>>
      extends InputBuilder<D,ValueHolder.ValueChangeEvent<D>,Input<D>,B>, InputValueConfigurator<D,ValueHolder.ValueChangeEvent<D>,B>, HasSizeConfigurator<B>, HasStyleConfigurator<B>, HasEnabledConfigurator<B>, FocusableConfigurator<com.vaadin.flow.component.Component,B>, HasPlaceholderConfigurator<B>, HasLabelConfigurator<B>, DeferrableLocalizationConfigurator<B>

  Base builder to create date type `Input` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `BaseDateInputBuilder.CalendarLocalization` Date input calendar popup localization settings.
    `static interface` | `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B extends BaseDateInputBuilder<D,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `initialPosition(D initialPosition)` Set the date which should be visible when there is no value selected.
    `B` | `locale(Locale locale)` Set the `Locale` to use.
    `BaseDateInputBuilder.CalendarLocalizationBuilder<D,B>` | `localization()` Get a builder to setup the Date Input calendar localization messages.
    `B` | `localization(BaseDateInputBuilder.CalendarLocalization localization)` Set the Date Input calendar localization messages.
    `B` | `max(D max)` Sets the maximum date that is allowed to be selected.
    `B` | `min(D min)` Sets the minimum date that is allowed to be selected.
    `B` | `updateLocaleOnAttach(boolean updateLocaleOnAttach)` Set whether to update the `Locale` when the component is attached to a parent layout, using the current application `Locale`, if available.
    `B` | `weekNumbersVisible(boolean weekNumbersVisible)` Set the visible week numbers.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### locale

          B locale(Locale locale)

      Set the `Locale` to use. The displayed date will be matched to the format used in that locale.
      Parameters:
        `locale` - The locale to set (not null)
      Returns:
        this

    - #### updateLocaleOnAttach

          B updateLocaleOnAttach(boolean updateLocaleOnAttach)

      Set whether to update the `Locale` when the component is attached to a parent layout, using the current application `Locale`, if available.
      Parameters:
        `updateLocaleOnAttach` - Whether to update the component `Locale` on attach
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### min

          B min(D min)

      Sets the minimum date that is allowed to be selected.
      Parameters:
        `min` - the minimum date that is allowed to be selected, or `null` to remove any minimum constraints
      Returns:
        this

    - #### max

          B max(D max)

      Sets the maximum date that is allowed to be selected.
      Parameters:
        `max` - the maximum date that is allowed to be selected, or `null` to remove any maximum constraints
      Returns:
        this

    - #### initialPosition

          B initialPosition(D initialPosition)

      Set the date which should be visible when there is no value selected.
      Parameters:
        `initialPosition` - the initial position to set
      Returns:
        this

    - #### weekNumbersVisible

          B weekNumbersVisible(boolean weekNumbersVisible)

      Set the visible week numbers.

      Set `true` to display ISO-8601 week numbers in the calendar.

      Parameters:
        `weekNumbersVisible` - Whether the week numbers are visible
      Returns:
        this

    - #### localization

          B localization(BaseDateInputBuilder.CalendarLocalization localization)

      Set the Date Input calendar localization messages.

      Use `localization()` to obtain a suitable builder to configure the calendar localization messages.

      Parameters:
        `localization` - Calendar localization messages
      Returns:
        this

    - #### localization

          BaseDateInputBuilder.CalendarLocalizationBuilder<D,B> localization()

      Get a builder to setup the Date Input calendar localization messages.

      The `BaseDateInputBuilder.CalendarLocalizationBuilder.set()` method can be used to configure the localization and go back to the parent Date Input builder.

      Returns:
        A `BaseDateInputBuilder.CalendarLocalizationBuilder` to setup the Date Input calendar localization messages

Copyright © 2019 The Holon Platform. All rights reserved.